! test   expression and assignment 
!R701 - 735


PROGRAM e2

INTEGER     var1
PARAMETER  (var1 = 100 )
REAL, DIMENSION(2:100,var1*(-5)+10)  ::  var2,var3 
CHARACTER  ::ss(34,45)*12='34' ,fg='sdf'  
integer I ,J , AI(10)
REAL    P,Q
LOGICAL     C ,E,F
CHARACTER  (80)  G,L,M
CHARACTER(10)   H
REAL     GG(200:),KK(15,5:*),PP(3,6,9,5)

! error(123)
	C= var2 > 0

	D=I*(-J)/4+var1
	var2(1,I+1)=D
	GG=3

! error(103,148)
20	I=C .EQ. E

! error(103,148)
	I=C // E

! error(103,148)
	I=G .GE. L
	F=(I .LT. J) .OR. (P .GT. Q)

! error(103)

	F=C .LE. E
	F= .NOT. E

! error(148)
	ss=SUM(AI)
	P=I

!R702.2
!variable cannot be assumed size array
	KK=4

! error(251)   assumed size array 's 2_th subscipt cannot be ommited 
	GG=KK(15,6::2)

END

